Subject: Re: bug#54346: persist-save doesn't persist variables when the value is set to the default

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 11 Apr 2022 12:18:01 +0200

Gulshan Singh <[email-masked]> writes:

> I cloned the upstream project [1] and created a merge request [2]
> there. The fix deletes the persist file when it gets set back to the
> default value, and it modifies a test to verify this behavior. I've
> attached the same patch here (created with `git format-patch HEAD^`, I
> haven't submitted a patch here before so let me know if this is the
> correct way to do this).

Yup; looks good.

> I'm a little confused though, I see that on the externals/persist
> branch [3] there is a commit that does not exist on the upstream
> GitLab project. Why is this the case? Should I actually be making a
> patch off of the externals/persist branch?

That's my error -- I didn't check whether it persist was maintained
externally before making that change.  So it should be merged upstream.

Phillip?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no